docurl=/cn/Products___Technology/Products/IP_Security/Security_Research/Home/Notice/Bug/201907/1212131_30003_0.htm

ImageMagick Studio ImageMagick 缓冲区错误漏洞(CVE-2019-13391)(CNNVD-201907-344)

【发布时间:2019-07-15】

发布日期:2019-07-07

危险等级:☆☆☆☆☆

1 漏洞描述

ImageMagick Studio ImageMagick是美国ImageMagick Studio公司的一套开源的图像处理软件。该软件可读取、转换或写入多种格式的图片。

ImageMagick Studio ImageMagick 7.0.8-50 Q16版本中的MagickCore/fourier.c文件的ComplexImages存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

2 漏洞标识符

CVE ID: CVE-2019-13391

CNNVD ID: CNNVD-201907-344

3 影响系统

受影响系统:

ImageMagick Studio ImageMagick 7.0.8-50 Q16版本

4 专家建议

厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://github.com/ImageMagick/ImageMagick/issues/1588

5 漏洞类型

WEB应用漏洞

联系我们